Imported Debian patch 2.4.5p1-2
[debian/amanda] / Makefile.in
1 # Makefile.in generated by automake 1.9.5 from Makefile.am.
2 # @configure_input@
3
4 # Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
5 # 2003, 2004, 2005  Free Software Foundation, Inc.
6 # This Makefile.in is free software; the Free Software Foundation
7 # gives unlimited permission to copy and/or distribute it,
8 # with or without modifications, as long as this notice is preserved.
9
10 # This program is distributed in the hope that it will be useful,
11 # but WITHOUT ANY WARRANTY, to the extent permitted by law; without
12 # even the implied warranty of MERCHANTABILITY or FITNESS FOR A
13 # PARTICULAR PURPOSE.
14
15 @SET_MAKE@
16
17 srcdir = @srcdir@
18 top_srcdir = @top_srcdir@
19 VPATH = @srcdir@
20 pkgdatadir = $(datadir)/@PACKAGE@
21 pkglibdir = $(libdir)/@PACKAGE@
22 pkgincludedir = $(includedir)/@PACKAGE@
23 top_builddir = .
24 am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
25 INSTALL = @INSTALL@
26 install_sh_DATA = $(install_sh) -c -m 644
27 install_sh_PROGRAM = $(install_sh) -c
28 install_sh_SCRIPT = $(install_sh) -c
29 INSTALL_HEADER = $(INSTALL_DATA)
30 transform = $(program_transform_name)
31 NORMAL_INSTALL = :
32 PRE_INSTALL = :
33 POST_INSTALL = :
34 NORMAL_UNINSTALL = :
35 PRE_UNINSTALL = :
36 POST_UNINSTALL = :
37 build_triplet = @build@
38 host_triplet = @host@
39 target_triplet = @target@
40 subdir = .
41 DIST_COMMON = README $(am__configure_deps) $(srcdir)/Makefile.am \
42         $(srcdir)/Makefile.in $(top_srcdir)/configure AUTHORS \
43         ChangeLog INSTALL NEWS
44 ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
45 am__aclocal_m4_deps = $(top_srcdir)/acinclude.m4 \
46         $(top_srcdir)/configure.in
47 am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
48         $(ACLOCAL_M4)
49 am__CONFIG_DISTCLEAN_FILES = config.status config.cache config.log \
50  configure.lineno configure.status.lineno
51 mkinstalldirs = $(SHELL) $(top_srcdir)/config/mkinstalldirs
52 CONFIG_HEADER = $(top_builddir)/config/config.h
53 CONFIG_CLEAN_FILES =
54 SOURCES =
55 DIST_SOURCES =
56 RECURSIVE_TARGETS = all-recursive check-recursive dvi-recursive \
57         html-recursive info-recursive install-data-recursive \
58         install-exec-recursive install-info-recursive \
59         install-recursive installcheck-recursive installdirs-recursive \
60         pdf-recursive ps-recursive uninstall-info-recursive \
61         uninstall-recursive
62 am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
63 am__vpath_adj = case $$p in \
64     $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
65     *) f=$$p;; \
66   esac;
67 am__strip_dir = `echo $$p | sed -e 's|^.*/||'`;
68 am__installdirs = "$(DESTDIR)$(pkgdatadir)"
69 pkgdataDATA_INSTALL = $(INSTALL_DATA)
70 DATA = $(pkgdata_DATA)
71 ETAGS = etags
72 CTAGS = ctags
73 DIST_SUBDIRS = config common-src client-src tape-src server-src \
74         changer-src restore-src recover-src amplot man docs example
75 DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
76 distdir = $(PACKAGE)-$(VERSION)
77 top_distdir = $(distdir)
78 am__remove_distdir = \
79   { test ! -d $(distdir) \
80     || { find $(distdir) -type d ! -perm -200 -exec chmod u+w {} ';' \
81          && rm -fr $(distdir); }; }
82 DIST_ARCHIVES = $(distdir).tar.gz
83 GZIP_ENV = --best
84 distuninstallcheck_listfiles = find . -type f -print
85 distcleancheck_listfiles = find . -type f -print
86 ACLOCAL = @ACLOCAL@
87 ALLOCA = @ALLOCA@
88 AMANDA_DBGDIR = @AMANDA_DBGDIR@
89 AMANDA_DEBUG_DAYS = @AMANDA_DEBUG_DAYS@
90 AMANDA_TMPDIR = @AMANDA_TMPDIR@
91 AMDEP_FALSE = @AMDEP_FALSE@
92 AMDEP_TRUE = @AMDEP_TRUE@
93 AMPLOT_CAT_COMPRESS = @AMPLOT_CAT_COMPRESS@
94 AMPLOT_CAT_GZIP = @AMPLOT_CAT_GZIP@
95 AMPLOT_CAT_PACK = @AMPLOT_CAT_PACK@
96 AMPLOT_COMPRESS = @AMPLOT_COMPRESS@
97 AMTAR = @AMTAR@
98 AR = @AR@
99 AUTOCONF = @AUTOCONF@
100 AUTOHEADER = @AUTOHEADER@
101 AUTOMAKE = @AUTOMAKE@
102 AWK = @AWK@
103 AWK_VAR_ASSIGNMENT_OPT = @AWK_VAR_ASSIGNMENT_OPT@
104 BINARY_OWNER = @BINARY_OWNER@
105 CAT = @CAT@
106 CC = @CC@
107 CCDEPMODE = @CCDEPMODE@
108 CFLAGS = @CFLAGS@
109 CHIO = @CHIO@
110 CHS = @CHS@
111 CLIENT_LOGIN = @CLIENT_LOGIN@
112 CLIENT_SCRIPTS_OPT = @CLIENT_SCRIPTS_OPT@
113 COMPRESS = @COMPRESS@
114 CONFIGURE_COMMAND = @CONFIGURE_COMMAND@
115 CONFIG_DIR = @CONFIG_DIR@
116 CPP = @CPP@
117 CPPFLAGS = @CPPFLAGS@
118 CXX = @CXX@
119 CXXCPP = @CXXCPP@
120 CXXDEPMODE = @CXXDEPMODE@
121 CXXFLAGS = @CXXFLAGS@
122 CYGPATH_W = @CYGPATH_W@
123 DB_EXT = @DB_EXT@
124 DD = @DD@
125 DEFAULT_CHANGER_DEVICE = @DEFAULT_CHANGER_DEVICE@
126 DEFAULT_CONFIG = @DEFAULT_CONFIG@
127 DEFAULT_RAW_TAPE_DEVICE = @DEFAULT_RAW_TAPE_DEVICE@
128 DEFAULT_SERVER = @DEFAULT_SERVER@
129 DEFAULT_TAPE_DEVICE = @DEFAULT_TAPE_DEVICE@
130 DEFAULT_TAPE_SERVER = @DEFAULT_TAPE_SERVER@
131 DEFS = @DEFS@
132 DEPDIR = @DEPDIR@
133 DUMP = @DUMP@
134 ECHO = @ECHO@
135 ECHO_C = @ECHO_C@
136 ECHO_N = @ECHO_N@
137 ECHO_T = @ECHO_T@
138 EGREP = @EGREP@
139 EXEEXT = @EXEEXT@
140 F77 = @F77@
141 FFLAGS = @FFLAGS@
142 GETCONF = @GETCONF@
143 GNUPLOT = @GNUPLOT@
144 GNUTAR = @GNUTAR@
145 GNUTAR_LISTED_INCREMENTAL_DIRX = @GNUTAR_LISTED_INCREMENTAL_DIRX@
146 GREP = @GREP@
147 GZIP = @GZIP@
148 INSTALL_DATA = @INSTALL_DATA@
149 INSTALL_PROGRAM = @INSTALL_PROGRAM@
150 INSTALL_SCRIPT = @INSTALL_SCRIPT@
151 INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
152 LDFLAGS = @LDFLAGS@
153 LEX = @LEX@
154 LEXLIB = @LEXLIB@
155 LEX_OUTPUT_ROOT = @LEX_OUTPUT_ROOT@
156 LIBOBJS = @LIBOBJS@
157 LIBS = @LIBS@
158 LIBTOOL = @LIBTOOL@
159 LIBTOOL_DEPS = @LIBTOOL_DEPS@
160 LN_S = @LN_S@
161 LTALLOCA = @LTALLOCA@
162 LTLIBOBJS = @LTLIBOBJS@
163 MAILER = @MAILER@
164 MAKEINFO = @MAKEINFO@
165 MAXTAPEBLOCKSIZE = @MAXTAPEBLOCKSIZE@
166 MCUTIL = @MCUTIL@
167 MT = @MT@
168 MTX = @MTX@
169 MT_FILE_FLAG = @MT_FILE_FLAG@
170 OBJEXT = @OBJEXT@
171 PACKAGE = @PACKAGE@
172 PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
173 PACKAGE_NAME = @PACKAGE_NAME@
174 PACKAGE_STRING = @PACKAGE_STRING@
175 PACKAGE_TARNAME = @PACKAGE_TARNAME@
176 PACKAGE_VERSION = @PACKAGE_VERSION@
177 PATH_SEPARATOR = @PATH_SEPARATOR@
178 PCAT = @PCAT@
179 PERL = @PERL@
180 PRINT = @PRINT@
181 RANLIB = @RANLIB@
182 READLINE_LIBS = @READLINE_LIBS@
183 RESTORE = @RESTORE@
184 SAMBA_CLIENT = @SAMBA_CLIENT@
185 SERVICE_SUFFIX = @SERVICE_SUFFIX@
186 SETUID_GROUP = @SETUID_GROUP@
187 SET_MAKE = @SET_MAKE@
188 SHELL = @SHELL@
189 SNAPSHOT_STAMP = @SNAPSHOT_STAMP@
190 STRIP = @STRIP@
191 USE_VERSION_SUFFIXES = @USE_VERSION_SUFFIXES@
192 VDUMP = @VDUMP@
193 VERSION = @VERSION@
194 VERSION_COMMENT = @VERSION_COMMENT@
195 VERSION_MAJOR = @VERSION_MAJOR@
196 VERSION_MINOR = @VERSION_MINOR@
197 VERSION_PATCH = @VERSION_PATCH@
198 VERSION_SUFFIX = @VERSION_SUFFIX@
199 VRESTORE = @VRESTORE@
200 VXDUMP = @VXDUMP@
201 VXRESTORE = @VXRESTORE@
202 WANT_AMPLOT_FALSE = @WANT_AMPLOT_FALSE@
203 WANT_AMPLOT_TRUE = @WANT_AMPLOT_TRUE@
204 WANT_CHG_SCSI_FALSE = @WANT_CHG_SCSI_FALSE@
205 WANT_CHG_SCSI_TRUE = @WANT_CHG_SCSI_TRUE@
206 WANT_CHIO_SCSI_FALSE = @WANT_CHIO_SCSI_FALSE@
207 WANT_CHIO_SCSI_TRUE = @WANT_CHIO_SCSI_TRUE@
208 WANT_CLIENT_FALSE = @WANT_CLIENT_FALSE@
209 WANT_CLIENT_TRUE = @WANT_CLIENT_TRUE@
210 WANT_RECOVER_FALSE = @WANT_RECOVER_FALSE@
211 WANT_RECOVER_TRUE = @WANT_RECOVER_TRUE@
212 WANT_RESTORE_FALSE = @WANT_RESTORE_FALSE@
213 WANT_RESTORE_TRUE = @WANT_RESTORE_TRUE@
214 WANT_RUNTIME_PSEUDO_RELOC_FALSE = @WANT_RUNTIME_PSEUDO_RELOC_FALSE@
215 WANT_RUNTIME_PSEUDO_RELOC_TRUE = @WANT_RUNTIME_PSEUDO_RELOC_TRUE@
216 WANT_SAMBA_FALSE = @WANT_SAMBA_FALSE@
217 WANT_SAMBA_TRUE = @WANT_SAMBA_TRUE@
218 WANT_SERVER_FALSE = @WANT_SERVER_FALSE@
219 WANT_SERVER_TRUE = @WANT_SERVER_TRUE@
220 WANT_SETUID_CLIENT_FALSE = @WANT_SETUID_CLIENT_FALSE@
221 WANT_SETUID_CLIENT_TRUE = @WANT_SETUID_CLIENT_TRUE@
222 WANT_TAPE_FALSE = @WANT_TAPE_FALSE@
223 WANT_TAPE_TRUE = @WANT_TAPE_TRUE@
224 XFSDUMP = @XFSDUMP@
225 XFSRESTORE = @XFSRESTORE@
226 YACC = @YACC@
227 ac_c = @ac_c@
228 ac_ct_AR = @ac_ct_AR@
229 ac_ct_CC = @ac_ct_CC@
230 ac_ct_CXX = @ac_ct_CXX@
231 ac_ct_F77 = @ac_ct_F77@
232 ac_ct_RANLIB = @ac_ct_RANLIB@
233 ac_ct_STRIP = @ac_ct_STRIP@
234 ac_n = @ac_n@
235 am__fastdepCC_FALSE = @am__fastdepCC_FALSE@
236 am__fastdepCC_TRUE = @am__fastdepCC_TRUE@
237 am__fastdepCXX_FALSE = @am__fastdepCXX_FALSE@
238 am__fastdepCXX_TRUE = @am__fastdepCXX_TRUE@
239 am__include = @am__include@
240 am__leading_dot = @am__leading_dot@
241 am__quote = @am__quote@
242 am__tar = @am__tar@
243 am__untar = @am__untar@
244 bindir = @bindir@
245 build = @build@
246 build_alias = @build_alias@
247 build_cpu = @build_cpu@
248 build_os = @build_os@
249 build_vendor = @build_vendor@
250 datadir = @datadir@
251 exec_prefix = @exec_prefix@
252 host = @host@
253 host_alias = @host_alias@
254 host_cpu = @host_cpu@
255 host_os = @host_os@
256 host_vendor = @host_vendor@
257 includedir = @includedir@
258 infodir = @infodir@
259 install_sh = @install_sh@
260 libdir = @libdir@
261 libexecdir = @libexecdir@
262 localstatedir = @localstatedir@
263 mandir = @mandir@
264 mkdir_p = @mkdir_p@
265 oldincludedir = @oldincludedir@
266 prefix = @prefix@
267 program_transform_name = @program_transform_name@
268 sbindir = @sbindir@
269 sharedstatedir = @sharedstatedir@
270 sysconfdir = @sysconfdir@
271 target = @target@
272 target_alias = @target_alias@
273 target_cpu = @target_cpu@
274 target_os = @target_os@
275 target_vendor = @target_vendor@
276 AUTOMAKE_OPTIONS = 1.4 foreign
277 ACINCLUDE_M4 = $(srcdir)/acinclude.m4
278 ACINCLUDE_M4I = $(srcdir)/config/acinclude.m4i
279 LIBTOOL_M4I = $(srcdir)/config/libtool.m4i
280 ACINCLUDE_M4_DEPS = $(ACINCLUDE_M4I) $(LIBTOOL_M4I)
281 @WANT_CLIENT_TRUE@CLIENT_SUBDIRS = client-src
282 @WANT_TAPE_TRUE@TAPE_SUBDIRS = tape-src
283 @WANT_SERVER_TRUE@SERVER_SUBDIRS = server-src changer-src
284 @WANT_RESTORE_TRUE@RESTORE_SUBDIRS = restore-src
285 @WANT_RECOVER_TRUE@RECOVER_SUBDIRS = recover-src
286 @WANT_AMPLOT_TRUE@PLOT_SUBDIRS = amplot
287 # order is significant, don't change it arbitrarily
288 SUBDIRS = \
289         config \
290         common-src \
291         $(CLIENT_SUBDIRS) \
292         $(TAPE_SUBDIRS) \
293         $(SERVER_SUBDIRS) \
294         $(RESTORE_SUBDIRS) \
295         $(RECOVER_SUBDIRS) \
296         $(PLOT_SUBDIRS) \
297         man docs example
298
299 pkgdata_DATA = \
300         COPYRIGHT                       \
301         COPYRIGHT-APACHE                \
302         COPYRIGHT-REGEX
303
304 EXTRA_DIST = $(SNAPSHOT_STAMP) \
305         $(pkgdata_DATA)                 \
306         contrib/README                  \
307         contrib/dbbackup.README         \
308         contrib/dbbackup.ksh            \
309         contrib/dbbackup.sql            \
310         contrib/dbbackup.tcl            \
311         contrib/mkamandisk              \
312         contrib/set_prod_link.pl        \
313         contrib/sst/Makefile            \
314         contrib/sst/README              \
315         contrib/sst/README.Amanda       \
316         contrib/sst/sst.c               \
317         contrib/sst/sst.conf            \
318         contrib/sst/sst_def.h           \
319         contrib/sst/sstest.c            \
320         patches/regex-3.6alpha.patch    \
321         patches/samba-largefs.patch     \
322         patches/tar-1.12.patch          \
323         regex-src/COPYRIGHT             \
324         regex-src/Makefile              \
325         regex-src/README                \
326         regex-src/WHATSNEW              \
327         regex-src/cclass.h              \
328         regex-src/cname.h               \
329         regex-src/debug.c               \
330         regex-src/engine.c              \
331         regex-src/main.c                \
332         regex-src/mkh                   \
333         regex-src/regcomp.c             \
334         regex-src/regerror.c            \
335         regex-src/regex.3               \
336         regex-src/regex.7               \
337         regex-src/regex2.h              \
338         regex-src/regexec.c             \
339         regex-src/regfree.c             \
340         regex-src/split.c               \
341         regex-src/tests                 \
342         regex-src/utils.h               \
343         regex-src/fake/limits.h         \
344         regex-src/fake/memmove.c        \
345         regex-src/fake/stdlib.h
346
347 CONFIG_STATUS = config.status
348 all: all-recursive
349
350 .SUFFIXES:
351 am--refresh:
352         @:
353 $(srcdir)/Makefile.in:  $(srcdir)/Makefile.am  $(am__configure_deps)
354         @for dep in $?; do \
355           case '$(am__configure_deps)' in \
356             *$$dep*) \
357               echo ' cd $(srcdir) && $(AUTOMAKE) --foreign '; \
358               cd $(srcdir) && $(AUTOMAKE) --foreign  \
359                 && exit 0; \
360               exit 1;; \
361           esac; \
362         done; \
363         echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign  Makefile'; \
364         cd $(top_srcdir) && \
365           $(AUTOMAKE) --foreign  Makefile
366 .PRECIOUS: Makefile
367 Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
368         @case '$?' in \
369           *config.status*) \
370             echo ' $(SHELL) ./config.status'; \
371             $(SHELL) ./config.status;; \
372           *) \
373             echo ' cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe)'; \
374             cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe);; \
375         esac;
376
377 $(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
378         $(SHELL) ./config.status --recheck
379
380 $(top_srcdir)/configure:  $(am__configure_deps)
381         cd $(srcdir) && $(AUTOCONF)
382 $(ACLOCAL_M4):  $(am__aclocal_m4_deps)
383         cd $(srcdir) && $(ACLOCAL) $(ACLOCAL_AMFLAGS)
384
385 mostlyclean-libtool:
386         -rm -f *.lo
387
388 clean-libtool:
389         -rm -rf .libs _libs
390
391 distclean-libtool:
392         -rm -f libtool
393 uninstall-info-am:
394 install-pkgdataDATA: $(pkgdata_DATA)
395         @$(NORMAL_INSTALL)
396         test -z "$(pkgdatadir)" || $(mkdir_p) "$(DESTDIR)$(pkgdatadir)"
397         @list='$(pkgdata_DATA)'; for p in $$list; do \
398           if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
399           f=$(am__strip_dir) \
400           echo " $(pkgdataDATA_INSTALL) '$$d$$p' '$(DESTDIR)$(pkgdatadir)/$$f'"; \
401           $(pkgdataDATA_INSTALL) "$$d$$p" "$(DESTDIR)$(pkgdatadir)/$$f"; \
402         done
403
404 uninstall-pkgdataDATA:
405         @$(NORMAL_UNINSTALL)
406         @list='$(pkgdata_DATA)'; for p in $$list; do \
407           f=$(am__strip_dir) \
408           echo " rm -f '$(DESTDIR)$(pkgdatadir)/$$f'"; \
409           rm -f "$(DESTDIR)$(pkgdatadir)/$$f"; \
410         done
411
412 # This directory's subdirectories are mostly independent; you can cd
413 # into them and run `make' without going through this Makefile.
414 # To change the values of `make' variables: instead of editing Makefiles,
415 # (1) if the variable is set in `config.status', edit `config.status'
416 #     (which will cause the Makefiles to be regenerated when you run `make');
417 # (2) otherwise, pass the desired values on the `make' command line.
418 $(RECURSIVE_TARGETS):
419         @failcom='exit 1'; \
420         for f in x $$MAKEFLAGS; do \
421           case $$f in \
422             *=* | --[!k]*);; \
423             *k*) failcom='fail=yes';; \
424           esac; \
425         done; \
426         dot_seen=no; \
427         target=`echo $@ | sed s/-recursive//`; \
428         list='$(SUBDIRS)'; for subdir in $$list; do \
429           echo "Making $$target in $$subdir"; \
430           if test "$$subdir" = "."; then \
431             dot_seen=yes; \
432             local_target="$$target-am"; \
433           else \
434             local_target="$$target"; \
435           fi; \
436           (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \
437           || eval $$failcom; \
438         done; \
439         if test "$$dot_seen" = "no"; then \
440           $(MAKE) $(AM_MAKEFLAGS) "$$target-am" || exit 1; \
441         fi; test -z "$$fail"
442
443 mostlyclean-recursive clean-recursive distclean-recursive \
444 maintainer-clean-recursive:
445         @failcom='exit 1'; \
446         for f in x $$MAKEFLAGS; do \
447           case $$f in \
448             *=* | --[!k]*);; \
449             *k*) failcom='fail=yes';; \
450           esac; \
451         done; \
452         dot_seen=no; \
453         case "$@" in \
454           distclean-* | maintainer-clean-*) list='$(DIST_SUBDIRS)' ;; \
455           *) list='$(SUBDIRS)' ;; \
456         esac; \
457         rev=''; for subdir in $$list; do \
458           if test "$$subdir" = "."; then :; else \
459             rev="$$subdir $$rev"; \
460           fi; \
461         done; \
462         rev="$$rev ."; \
463         target=`echo $@ | sed s/-recursive//`; \
464         for subdir in $$rev; do \
465           echo "Making $$target in $$subdir"; \
466           if test "$$subdir" = "."; then \
467             local_target="$$target-am"; \
468           else \
469             local_target="$$target"; \
470           fi; \
471           (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \
472           || eval $$failcom; \
473         done && test -z "$$fail"
474 tags-recursive:
475         list='$(SUBDIRS)'; for subdir in $$list; do \
476           test "$$subdir" = . || (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) tags); \
477         done
478 ctags-recursive:
479         list='$(SUBDIRS)'; for subdir in $$list; do \
480           test "$$subdir" = . || (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) ctags); \
481         done
482
483 ID: $(HEADERS) $(SOURCES) $(LISP) $(TAGS_FILES)
484         list='$(SOURCES) $(HEADERS) $(LISP) $(TAGS_FILES)'; \
485         unique=`for i in $$list; do \
486             if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
487           done | \
488           $(AWK) '    { files[$$0] = 1; } \
489                END { for (i in files) print i; }'`; \
490         mkid -fID $$unique
491 tags: TAGS
492
493 TAGS: tags-recursive $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
494                 $(TAGS_FILES) $(LISP)
495         tags=; \
496         here=`pwd`; \
497         if ($(ETAGS) --etags-include --version) >/dev/null 2>&1; then \
498           include_option=--etags-include; \
499           empty_fix=.; \
500         else \
501           include_option=--include; \
502           empty_fix=; \
503         fi; \
504         list='$(SUBDIRS)'; for subdir in $$list; do \
505           if test "$$subdir" = .; then :; else \
506             test ! -f $$subdir/TAGS || \
507               tags="$$tags $$include_option=$$here/$$subdir/TAGS"; \
508           fi; \
509         done; \
510         list='$(SOURCES) $(HEADERS)  $(LISP) $(TAGS_FILES)'; \
511         unique=`for i in $$list; do \
512             if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
513           done | \
514           $(AWK) '    { files[$$0] = 1; } \
515                END { for (i in files) print i; }'`; \
516         if test -z "$(ETAGS_ARGS)$$tags$$unique"; then :; else \
517           test -n "$$unique" || unique=$$empty_fix; \
518           $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
519             $$tags $$unique; \
520         fi
521 ctags: CTAGS
522 CTAGS: ctags-recursive $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
523                 $(TAGS_FILES) $(LISP)
524         tags=; \
525         here=`pwd`; \
526         list='$(SOURCES) $(HEADERS)  $(LISP) $(TAGS_FILES)'; \
527         unique=`for i in $$list; do \
528             if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
529           done | \
530           $(AWK) '    { files[$$0] = 1; } \
531                END { for (i in files) print i; }'`; \
532         test -z "$(CTAGS_ARGS)$$tags$$unique" \
533           || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
534              $$tags $$unique
535
536 GTAGS:
537         here=`$(am__cd) $(top_builddir) && pwd` \
538           && cd $(top_srcdir) \
539           && gtags -i $(GTAGS_ARGS) $$here
540
541 distclean-tags:
542         -rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
543
544 distdir: $(DISTFILES)
545         $(am__remove_distdir)
546         mkdir $(distdir)
547         $(mkdir_p) $(distdir)/amplot $(distdir)/changer-src $(distdir)/client-src $(distdir)/common-src $(distdir)/contrib $(distdir)/contrib/sst $(distdir)/example $(distdir)/patches $(distdir)/regex-src $(distdir)/regex-src/fake $(distdir)/server-src
548         @srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`; \
549         topsrcdirstrip=`echo "$(top_srcdir)" | sed 's|.|.|g'`; \
550         list='$(DISTFILES)'; for file in $$list; do \
551           case $$file in \
552             $(srcdir)/*) file=`echo "$$file" | sed "s|^$$srcdirstrip/||"`;; \
553             $(top_srcdir)/*) file=`echo "$$file" | sed "s|^$$topsrcdirstrip/|$(top_builddir)/|"`;; \
554           esac; \
555           if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
556           dir=`echo "$$file" | sed -e 's,/[^/]*$$,,'`; \
557           if test "$$dir" != "$$file" && test "$$dir" != "."; then \
558             dir="/$$dir"; \
559             $(mkdir_p) "$(distdir)$$dir"; \
560           else \
561             dir=''; \
562           fi; \
563           if test -d $$d/$$file; then \
564             if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
565               cp -pR $(srcdir)/$$file $(distdir)$$dir || exit 1; \
566             fi; \
567             cp -pR $$d/$$file $(distdir)$$dir || exit 1; \
568           else \
569             test -f $(distdir)/$$file \
570             || cp -p $$d/$$file $(distdir)/$$file \
571             || exit 1; \
572           fi; \
573         done
574         list='$(DIST_SUBDIRS)'; for subdir in $$list; do \
575           if test "$$subdir" = .; then :; else \
576             test -d "$(distdir)/$$subdir" \
577             || $(mkdir_p) "$(distdir)/$$subdir" \
578             || exit 1; \
579             distdir=`$(am__cd) $(distdir) && pwd`; \
580             top_distdir=`$(am__cd) $(top_distdir) && pwd`; \
581             (cd $$subdir && \
582               $(MAKE) $(AM_MAKEFLAGS) \
583                 top_distdir="$$top_distdir" \
584                 distdir="$$distdir/$$subdir" \
585                 distdir) \
586               || exit 1; \
587           fi; \
588         done
589         $(MAKE) $(AM_MAKEFLAGS) \
590           top_distdir="$(top_distdir)" distdir="$(distdir)" \
591           dist-hook
592         -find $(distdir) -type d ! -perm -777 -exec chmod a+rwx {} \; -o \
593           ! -type d ! -perm -444 -links 1 -exec chmod a+r {} \; -o \
594           ! -type d ! -perm -400 -exec chmod a+r {} \; -o \
595           ! -type d ! -perm -444 -exec $(SHELL) $(install_sh) -c -m a+r {} {} \; \
596         || chmod -R a+r $(distdir)
597 dist-gzip: distdir
598         tardir=$(distdir) && $(am__tar) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).tar.gz
599         $(am__remove_distdir)
600
601 dist-bzip2: distdir
602         tardir=$(distdir) && $(am__tar) | bzip2 -9 -c >$(distdir).tar.bz2
603         $(am__remove_distdir)
604
605 dist-tarZ: distdir
606         tardir=$(distdir) && $(am__tar) | compress -c >$(distdir).tar.Z
607         $(am__remove_distdir)
608
609 dist-shar: distdir
610         shar $(distdir) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).shar.gz
611         $(am__remove_distdir)
612
613 dist-zip: distdir
614         -rm -f $(distdir).zip
615         zip -rq $(distdir).zip $(distdir)
616         $(am__remove_distdir)
617
618 dist dist-all: distdir
619         tardir=$(distdir) && $(am__tar) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).tar.gz
620         $(am__remove_distdir)
621
622 # This target untars the dist file and tries a VPATH configuration.  Then
623 # it guarantees that the distribution is self-contained by making another
624 # tarfile.
625 distcheck: dist
626         case '$(DIST_ARCHIVES)' in \
627         *.tar.gz*) \
628           GZIP=$(GZIP_ENV) gunzip -c $(distdir).tar.gz | $(am__untar) ;;\
629         *.tar.bz2*) \
630           bunzip2 -c $(distdir).tar.bz2 | $(am__untar) ;;\
631         *.tar.Z*) \
632           uncompress -c $(distdir).tar.Z | $(am__untar) ;;\
633         *.shar.gz*) \
634           GZIP=$(GZIP_ENV) gunzip -c $(distdir).shar.gz | unshar ;;\
635         *.zip*) \
636           unzip $(distdir).zip ;;\
637         esac
638         chmod -R a-w $(distdir); chmod a+w $(distdir)
639         mkdir $(distdir)/_build
640         mkdir $(distdir)/_inst
641         chmod a-w $(distdir)
642         dc_install_base=`$(am__cd) $(distdir)/_inst && pwd | sed -e 's,^[^:\\/]:[\\/],/,'` \
643           && dc_destdir="$${TMPDIR-/tmp}/am-dc-$$$$/" \
644           && cd $(distdir)/_build \
645           && ../configure --srcdir=.. --prefix="$$dc_install_base" \
646             $(DISTCHECK_CONFIGURE_FLAGS) \
647           && $(MAKE) $(AM_MAKEFLAGS) \
648           && $(MAKE) $(AM_MAKEFLAGS) dvi \
649           && $(MAKE) $(AM_MAKEFLAGS) check \
650           && $(MAKE) $(AM_MAKEFLAGS) install \
651           && $(MAKE) $(AM_MAKEFLAGS) installcheck \
652           && $(MAKE) $(AM_MAKEFLAGS) uninstall \
653           && $(MAKE) $(AM_MAKEFLAGS) distuninstallcheck_dir="$$dc_install_base" \
654                 distuninstallcheck \
655           && chmod -R a-w "$$dc_install_base" \
656           && ({ \
657                (cd ../.. && umask 077 && mkdir "$$dc_destdir") \
658                && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" install \
659                && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" uninstall \
660                && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" \
661                     distuninstallcheck_dir="$$dc_destdir" distuninstallcheck; \
662               } || { rm -rf "$$dc_destdir"; exit 1; }) \
663           && rm -rf "$$dc_destdir" \
664           && $(MAKE) $(AM_MAKEFLAGS) dist \
665           && rm -rf $(DIST_ARCHIVES) \
666           && $(MAKE) $(AM_MAKEFLAGS) distcleancheck
667         $(am__remove_distdir)
668         @(echo "$(distdir) archives ready for distribution: "; \
669           list='$(DIST_ARCHIVES)'; for i in $$list; do echo $$i; done) | \
670           sed -e '1{h;s/./=/g;p;x;}' -e '$${p;x;}'
671 distuninstallcheck:
672         @cd $(distuninstallcheck_dir) \
673         && test `$(distuninstallcheck_listfiles) | wc -l` -le 1 \
674            || { echo "ERROR: files left after uninstall:" ; \
675                 if test -n "$(DESTDIR)"; then \
676                   echo "  (check DESTDIR support)"; \
677                 fi ; \
678                 $(distuninstallcheck_listfiles) ; \
679                 exit 1; } >&2
680 distcleancheck: distclean
681         @if test '$(srcdir)' = . ; then \
682           echo "ERROR: distcleancheck can only run from a VPATH build" ; \
683           exit 1 ; \
684         fi
685         @test `$(distcleancheck_listfiles) | wc -l` -eq 0 \
686           || { echo "ERROR: files left in build directory after distclean:" ; \
687                $(distcleancheck_listfiles) ; \
688                exit 1; } >&2
689 check-am: all-am
690 check: check-recursive
691 all-am: Makefile $(DATA)
692 installdirs: installdirs-recursive
693 installdirs-am:
694         for dir in "$(DESTDIR)$(pkgdatadir)"; do \
695           test -z "$$dir" || $(mkdir_p) "$$dir"; \
696         done
697 install: install-recursive
698 install-exec: install-exec-recursive
699 install-data: install-data-recursive
700 uninstall: uninstall-recursive
701
702 install-am: all-am
703         @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
704
705 installcheck: installcheck-recursive
706 install-strip:
707         $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
708           install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
709           `test -z '$(STRIP)' || \
710             echo "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'"` install
711 mostlyclean-generic:
712
713 clean-generic:
714
715 distclean-generic:
716         -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
717
718 maintainer-clean-generic:
719         @echo "This command is intended for maintainers to use"
720         @echo "it deletes files that may require special tools to rebuild."
721 clean: clean-recursive
722
723 clean-am: clean-generic clean-libtool mostlyclean-am
724
725 distclean: distclean-recursive
726         -rm -f $(am__CONFIG_DISTCLEAN_FILES)
727         -rm -f Makefile
728 distclean-am: clean-am distclean-generic distclean-libtool \
729         distclean-tags
730
731 dvi: dvi-recursive
732
733 dvi-am:
734
735 html: html-recursive
736
737 info: info-recursive
738
739 info-am:
740
741 install-data-am: install-pkgdataDATA
742
743 install-exec-am:
744
745 install-info: install-info-recursive
746
747 install-man:
748
749 installcheck-am:
750
751 maintainer-clean: maintainer-clean-recursive
752         -rm -f $(am__CONFIG_DISTCLEAN_FILES)
753         -rm -rf $(top_srcdir)/autom4te.cache
754         -rm -f Makefile
755 maintainer-clean-am: distclean-am maintainer-clean-generic
756
757 mostlyclean: mostlyclean-recursive
758
759 mostlyclean-am: mostlyclean-generic mostlyclean-libtool
760
761 pdf: pdf-recursive
762
763 pdf-am:
764
765 ps: ps-recursive
766
767 ps-am:
768
769 uninstall-am: uninstall-info-am uninstall-pkgdataDATA
770
771 uninstall-info: uninstall-info-recursive
772
773 .PHONY: $(RECURSIVE_TARGETS) CTAGS GTAGS all all-am am--refresh check \
774         check-am clean clean-generic clean-libtool clean-recursive \
775         ctags ctags-recursive dist dist-all dist-bzip2 dist-gzip \
776         dist-hook dist-shar dist-tarZ dist-zip distcheck distclean \
777         distclean-generic distclean-libtool distclean-recursive \
778         distclean-tags distcleancheck distdir distuninstallcheck dvi \
779         dvi-am html html-am info info-am install install-am \
780         install-data install-data-am install-exec install-exec-am \
781         install-info install-info-am install-man install-pkgdataDATA \
782         install-strip installcheck installcheck-am installdirs \
783         installdirs-am maintainer-clean maintainer-clean-generic \
784         maintainer-clean-recursive mostlyclean mostlyclean-generic \
785         mostlyclean-libtool mostlyclean-recursive pdf pdf-am ps ps-am \
786         tags tags-recursive uninstall uninstall-am uninstall-info-am \
787         uninstall-pkgdataDATA
788
789
790 $(ACINCLUDE_M4): $(ACINCLUDE_M4_DEPS)
791         @-rm -f $@
792         @cat $(ACINCLUDE_M4_DEPS) > $@
793
794 libtool: $(LIBTOOL_DEPS)
795         $(SHELL) ./config.status --recheck
796 $(CONFIG_STATUS): $(SNAPSHOT_STAMP)
797 SNAPSHOT:
798         : SNAPSHOT file was removed, will reconfigure...
799
800 dist-hook:
801         find $(distdir)/. -name '*.test.c' -exec rm {} \;
802 # Tell versions [3.59,3.63) of GNU make to not export all variables.
803 # Otherwise a system limit (for SysV at least) may be exceeded.
804 .NOEXPORT: